net.sf.jasperreports.engine.query

## Class XlsQueryExecuter

- java.lang.Object
- - net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
  - - net.sf.jasperreports.engine.query.AbstractXlsQueryExecuter
    - - net.sf.jasperreports.engine.query.XlsQueryExecuter

- All Implemented Interfaces:
    JRQueryExecuter

      public class XlsQueryExecuter
      extends AbstractXlsQueryExecuter

  XLS query executer implementation.
  Version:
    $Id: JRXlsQueryExecuter.java 6972 2014-03-12 11:41:51Z shertage $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter

      `JRAbstractQueryExecuter.QueryParameter, JRAbstractQueryExecuter.QueryParameterEntry, JRAbstractQueryExecuter.QueryParameterVisitor, JRAbstractQueryExecuter.ValuedQueryParameter, JRAbstractQueryExecuter.VisitExceptionWrapper`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter

      `CLAUSE_POSITION_ID, clauseFunctions, dataset`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XlsQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRDataSource` | `createDatasource()` Executes the query and creates a `JRDataSource` out of the result.

    - ### Methods inherited from class net.sf.jasperreports.engine.query.AbstractXlsQueryExecuter

      `cancelQuery, close, getParameterReplacement, initDatasource`

    - ### Methods inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter

      `addQueryMultiParameters, addQueryMultiParameters, addQueryParameter, addQueryParameter, appendClauseChunk, appendParameterChunk, appendParameterClauseChunk, appendQueryChunk, appendTextChunk, applyClause, checkParameter, findExtensionQueryFunction, getBooleanParameter, getBooleanParameter, getBooleanParameterOrProperty, getBooleanParameterOrProperty, getCanonicalQueryLanguage, getCollectedParameterNames, getCollectedParameters, getJasperReportsContext, getParameter, getParameterValue, getParameterValue, getPropertiesUtil, getQueryString, getStringParameter, getStringParameterOrProperty, getValueParameter, getValueParameter, parameterHasValue, parseQuery, registerClauseFunction, resolveFunction, unregisterClauseFunction, visitQueryParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XlsQueryExecuter

          protected XlsQueryExecuter(JasperReportsContext jasperReportsContext,
                          JRDataset dataset,
                          java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)

  - ### Method Detail

    - #### createDatasource

          public JRDataSource createDatasource()
                                        throws JRException

      Description copied from interface: `JRQueryExecuter`
      Executes the query and creates a `JRDataSource` out of the result.
      Returns:
        a `JRDataSource` wrapping the query execution result.
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com